SDIFF(1)

NIMI
sdiff - side-by-side merge of file differences

YLEISKATSAUS
sdiff [VALITSIN]... TIEDOSTO1 TIEDOSTO2

KUVAUS
Tiedostojen TIEDOSTO1 ja TIEDOSTO2 erojen yhdistäminen vierekkäisillä palstoilla.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-o, --output=TIEDOSTO
    toimi vuorovaikutteisesti, tuloste TIEDOSTOon

-i, --ignore-case
    käsittele isot ja pienet kirjaimet samoina

-E, --ignore-tab-expansion
    älä huomioi sarkainten laajennuksesta johtuvia eroja

-Z, --ignore-trailing-space
    älä huomioi tyhjeitä rivin lopussa

-b, --ignore-space-change
    älä huomioi tyhjemerkkien määrästä johtuvia eroja

-W, --ignore-all-space
    älä huomioi tyhjiä merkkejä

-B, --ignore-blank-lines
    älä huomioi tyhjistä riveistä johtuvia eroja

-I, --ignore-matching-lines=SL
    älä huomioi eroavia rivejä, jotka täsmäävät säännölliseen lausekkeeseen SL

--strip-trailing-cr
    poista vaununpalautus syötteen lopusta

-a, --text
    käsittele kaikki tiedostot tekstinä

-w, --width=MÄÄRÄ
    tulosta enintään MÄÄRÄ (oletus 130) merkkiä riville

-l, --left-column
    tulosta vain yhteisten rivien vasen palsta

-s, --suppress-common-lines
    älä tulosta yhteisiä rivejä

-t, --expand-tabs
    laajenna sarkaimet välilyönneiksi tulosteessa

--tabsize=KOKO
    sarkaimen koko on KOKO (oletus 8) merkkiä

-d, --minimal
    yritä kovin löytää pienempi muutosjoukko

-H, --speed-large-files
    oleta suuret tiedostot, joissa pieniä muutoksia ympäri tiedoston

--diff-program=OHJELMA
    käytä OHJELMAa tiedostojen vertaamiseen

--help
    näytä tämä ohje ja poistu

-v, --version
    näytä versiotiedot ja poistu

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä. Paluuarvo on 0, jos syötteet ovat samoja, 1 jos erilaisia, ongelmatilanteissa 2.

TEKIJÄ
Kirjoittanut Thomas Lord.

VIRHEISTÄ ILMOITTAMINEN
Ilmoita ohjelmistovioista (englanniksi) osoitteeseen bug-DIFFutils@gnu.org
GNU diffutils-kotisivu: <https://www.gnu.org/software/diffutils/>
Yleisohjeita GNU-ohjelmistojen käyttöön: <https://www.gnu.org/gethelp/>

TEKIJÄNOIKEUDET
Copyright © 2023 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
cmp(1), diff(1), diff3(1)

Ohjelman sdiff täydellinen dokumentaatio ylläpidetään Texinfo-manuaalissa. Mikäli ohjelmat info ja sdiff on täysin asennettu, komennon

    info sdiff

pitäisi antaa täydellinen manuaali luettavaksi.

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Tommi Vainikainen <mucus@pcuf.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.